Package com.io7m.idstore.model

# Record Class IdUserPasswordReset

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdUserPasswordReset

Record Components:
  `user` - The user
  `token` - The verification token
  `expires` - The expiration date

public record IdUserPasswordReset(UUID user, IdToken token, OffsetDateTime expires) extends Record
A password reset operation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUserPasswordReset(UUID user, IdToken token, OffsetDateTime expires)`
  A password reset operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `OffsetDateTime`
  `expires()`
  Returns the value of the `expires` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `IdToken`
  `token()`
  Returns the value of the `token` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `UUID`
  `user()`
  Returns the value of the `user` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdUserPasswordReset

    public IdUserPasswordReset(UUID user, IdToken token, OffsetDateTime expires)
    A password reset operation.
    Parameters:
      `user` - The user
      `token` - The verification token
      `expires` - The expiration date

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### user

    public UUID user()
    Returns the value of the `user` record component.
    Returns:
      the value of the `user` record component

  - ### token

    public IdToken token()
    Returns the value of the `token` record component.
    Returns:
      the value of the `token` record component

  - ### expires

    public OffsetDateTime expires()
    Returns the value of the `expires` record component.
    Returns:
      the value of the `expires` record component